# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBFieldDelta

Packages that use IDBFieldDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.

## Uses of IDBFieldDelta in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBFieldDelta
Modifier and Type
Method
Description
`IDBFieldDelta`
IDBTableDelta.`getFieldDelta(int position)`
`IDBFieldDelta`
IDBTableDelta.`getFieldDelta(String name)`
`IDBFieldDelta[]`
IDBTableDelta.`getFieldDeltasSortedByPosition()`
Methods in org.eclipse.net4j.db.ddl.delta that return types with arguments of type IDBFieldDelta
Modifier and Type
Method
Description
`Map<String,IDBFieldDelta>`
IDBTableDelta.`getFieldDeltas()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBFieldDelta
Modifier and Type
Method
Description
`protected void`
IDBDeltaVisitor.Default.`added(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`added(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`changed(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`changed(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Copier.`doVisit(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`doVisit(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`removed(IDBFieldDelta delta)`
`protected void`
IDBDeltaVisitor.Filter.`removed(IDBFieldDelta delta)`
`void`
IDBDeltaVisitor.Default.`visit(IDBFieldDelta delta)`
`void`
IDBDeltaVisitor.`visit(IDBFieldDelta delta)`